Bug 205242 - feature request: gnome-cd to support direct digital playback
feature request: gnome-cd to support direct digital playback
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-media (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-09-05 11:21 EDT by Kevin Krafthefer
Modified: 2010-10-22 01:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-04 19:22:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Krafthefer 2006-09-05 11:21:37 EDT
Description of problem: kscd supports direct digital playback, gnome-cd does not.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. compare configuration options between kscd and gnome-cd 
Actual results:
gnome-cd does not support direct digital playback

Expected results:
gnome-cd supports direct digital playback

Additional info:
Comment 1 Kevin Krafthefer 2006-09-05 11:22:34 EDT
direct digital playback is performed by reading the digital data from the CD
using Digital Audio Extraction (DAE). This data is sent to your machines CPU
which converts the digital data to sound. This method requires a CD drive that
is capable of DAE (most new drives are) and it requires some CPU processing time
to generate the sounds you hear.

Comment 3 Alexander Larsson 2006-11-21 04:50:18 EST
Did you verify that it didn't actually use digital output? The NEWS file for
gnome-media 2.8.0 says that CDDA is supported, but I can't really see that in
the code.

Anyway, for RHEL5 we will support this. But its extremely unlikely we will
support it for RHEL4.
Comment 4 RHEL Product and Program Management 2006-11-21 05:01:00 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 8 Bastien Nocera 2008-03-04 19:22:38 EST
RHEL5's gnome-cd already supports CDDA playback. In fact, it's the only playback
mode supported in our builds. Please file a bug if it doesn't work as expected.

Note You need to log in before you can comment on or make changes to this bug.